 rem Batch de MSDOS para convertir ficheros RINEX v3.x en RINEX v2.11 , dejando solo los observables GPS+GLONASS basicos (L1, L2, C1, P2, S1, S2)
 rem Convierte ficheros de observaciones *MO.crx.gz en ficheros *o
 rem Y ficheros de navegacion *MN.rnx.gz, *GN.rnx.gz, *RN.rnx.gz, en 2 ficheros *n = GPS, *g = GLONASS

 pause
 @echo off 
 SETLOCAL ENABLEDELAYEDEXPANSION
 set "filename="

for %%a in (*gz) do call gzip -d %%a
for %%b in (*crx) do call crx2rnx %%b

for %%c in (*MO.rnx) do gfzrnx -finp %%c -fout ::RX2S:: -f --version_out 2 -satsys GR -f -ot G:C1C,L1C,S1C,C2W,L2W,S2W+R:C1C,L1C,S1C,C2P,L2P,S2P

for %%d in (*N.rnx) do (
	set filename=%%~nd
	set name=!filename:~0,4!
	CALL :LoCase name

	set YY=!filename:~14,2!
	set DOY=!filename:~16,3!
	set HH=!filename:~19,2!
 	if !HH!==00 ( set letter=a
 		) else if !HH!==01 ( set letter=b
 		) else if !HH!==02 ( set letter=c
 		) else if !HH!==03 ( set letter=d
 		) else if !HH!==04 ( set letter=e
 		) else if !HH!==05 ( set letter=f
 		) else if !HH!==06 ( set letter=g
 		) else if !HH!==07 ( set letter=h
 		) else if !HH!==08 ( set letter=i
 		) else if !HH!==09 ( set letter=j
 		) else if !HH!==10 ( set letter=k
 		) else if !HH!==11 ( set letter=l
 		) else if !HH!==12 ( set letter=m
 		) else if !HH!==13 ( set letter=n
 		) else if !HH!==14 ( set letter=o
 		) else if !HH!==15 ( set letter=p
 		) else if !HH!==16 ( set letter=q
 		) else if !HH!==17 ( set letter=r
 		) else if !HH!==18 ( set letter=s
 		) else if !HH!==19 ( set letter=t
 		) else if !HH!==20 ( set letter=u
 		) else if !HH!==21 ( set letter=v
 		) else if !HH!==22 ( set letter=w
 		) else if !HH!==23 ( set letter=x
 	)
	set filename_gps=!name!!DOY!!letter!.!YY!n
	set filename_glo=!name!!DOY!!letter!.!YY!g
	echo !filename_gps!
	echo !filename_glo!
gfzrnx -finp %%d -fout !filename_gps! -f --version_out 2 -satsys G

gfzrnx -finp %%d -fout !filename_glo! -f --version_out 2 -satsys R
)

 ENDLOCAL
 GOTO :EOF

:LoCase
rem Subroutine to convert a variable VALUE to all lower case.
rem  The argument for this subroutine is the variable NAME.
FOR %%i IN ("A=a" "B=b" "C=c" "D=d" "E=e" "F=f" "G=g" "H=h" "I=i" "J=j" "K=k" "L=l" "M=m" "N=n" "O=o" "P=p" "Q=q" "R=r" "S=s" "T=t" "U=u" "V=v" "W=w" "X=x" "Y=y" "Z=z") DO CALL SET "%1=%%%1:%%~i%%"
GOTO :EOF
